<?php
// WizyTówka - admin/edycja.php
if ( !defined('WT') ) exit();

if ( !empty($b) ) {
  $podstrona = odczyt_podstrona ( $b );
  $zawartosc = $podstrona['zawartosc'];
  unset($podstrona['zawartosc']);
  $typ = odczyt_typ( $podstrona['typ_podstrony'] );
}

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $podstrona != false ) {

  if ( $_POST['dane_podstrony'] ) {
    
    $zapis_podstrona['tytul_podstrony'] = htmlspecialchars($_POST['tytul_podstrony']); 
    if ( empty($zapis_podstrona['tytul_podstrony']) )
      $zapis_podstrona['tytul_podstrony'] = 'Bez tytułu';
    $zapis_podstrona['typ_podstrony'] = $_POST['typ_podstrony']; 
    $zapis_podstrona['ostatnia_aktualizacja'] = date(FORMAT_DATY); 
    $identyfikator_podstrony = $_POST['identyfikator_podstrony'];
    $identyfikator_dotychczasowy = $_POST['identyfikator_dotychczasowy'];
    
    zapis_podstrona ( $b, $zapis_podstrona, $zawartosc );
    $admin_naglowek['komunikat'] = 1;
    
    if ( $identyfikator_podstrony != $identyfikator_dotychczasowy ) {
    
      if ( !sprawdz_nazwe ( $identyfikator_podstrony ) )
        $admin_naglowek['komunikat'] = 'zle.Podany identyfikator jest nieprawidłowy.';
        
      else {
      
        $identyfikator_podstrony = prosta_nazwa ($identyfikator_podstrony);
        
        if ( file_exists ( DANE . '/podstrony/' . $identyfikator_podstrony . '.wts' ) )
          $admin_naglowek['komunikat'] = 'zle.Strona o podanym identyfikatorze już istnieje.';
        
        else {
        
          przemianuj_plik( DANE . '/podstrony/' . $identyfikator_dotychczasowy . '.wts', DANE . '/podstrony/' . $identyfikator_podstrony . '.wts' );
          if ( file_exists( DANE . '/podstrony/' . $identyfikator_dotychczasowy . '.wtz' ) )
            przemianuj_plik( DANE . '/podstrony/' . $identyfikator_dotychczasowy . '.wtz', DANE . '/podstrony/' . $identyfikator_podstrony . '.wtz' );
          
          if ( odczyt_konf('ustawienia','generuj_mape_strony') )
            sitemapa();
          
          $aktualne_menu = odczyt_konf('menu');
          if ( ( $pozycja1 = array_search($identyfikator_dotychczasowy,$aktualne_menu['menu_glowne']) ) !== false  )
            $aktualne_menu['menu_glowne'][$pozycja1] = $identyfikator_podstrony;
          if ( ( $pozycja2 = array_search($identyfikator_dotychczasowy,$aktualne_menu['menu_dodatkowe']) ) !== false  )
            $aktualne_menu['menu_dodatkowe'][$pozycja2] = $identyfikator_podstrony;
          zapis_konf('menu',$aktualne_menu);
          
          if ( odczyt_konf('ustawienia','strona_glowna') == $identyfikator_dotychczasowy )
            zapis_konf_poj('ustawienia','strona_glowna',$identyfikator_podstrony);
          
          header( 'Location: ' . '?a=edycja&b=' . $identyfikator_podstrony . '&kod=' . $kod );
          exit();
          
        }
        
      }
    
    }
    
  }
  
  else {
  
    $podstrona['ostatnia_aktualizacja'] = date(FORMAT_DATY); 
  
    $wyslany_formularz = true;
    $panel_administracyjny = false;
    if ( $typ['wlasne'] )
      include ( DANE . '/typy/' . $typ['nazwa'] . '_admin.php' );
    else
      include ( SYSTEM . '/typy/' . $typ['nazwa'] . '_admin.php' );
      
    $zapis_zawartosc = $zawartosc;
    zapis_podstrona ( $b, $podstrona, $zapis_zawartosc );

  }
    
  if ( !empty($komunikat) )
    $admin_naglowek['komunikat'] = $komunikat;
  
}

if ( !empty($b) ) {
  $podstrona = odczyt_podstrona ( $b );
  $zawartosc = $podstrona['zawartosc'];
}

if ( odczyt_konf('ustawienia','przyjazne_adresy') )
  $z = null;
else
  $z = '?a=';
$admin_naglowek['link_podglad'] = odczyt_konf('ustawienia','adres') . '/' . $z . $b;
$admin_naglowek['tytul'] = 'Edycja';
include('_naglowek.php');
?>
<?php if ( empty($b) ) { ?>
<p class="uwaga">Nie podano identyfikatora podstrony.</p>
<?php } elseif ( !$podstrona ) { ?>
<p class="uwaga">Podstrona z identyfikatorem <strong><?php echo $b ?></strong> nie istnieje.</p>
<?php } elseif ( !$typ ) { ?>
<p class="uwaga">Typ <strong><?php echo $podstrona['typ_podstrony'] ?></strong> określony przy podstronie z identyfikatorem <strong><?php echo $b ?></strong> nie został zainstalowany.</p>
<?php } else { ?>

<form method="post" class="t-id" onsubmit="return confirm('Zmieniając tytuł lub identyfikator podstrony, utracisz wszelkie zmiany wprowadzone teraz w treści podstrony.\nCzy na pewno chcesz zmienić tytuł lub identyfikator?')">

<p class="p1"><input type="text" name="tytul_podstrony" value="<?php echo $podstrona['tytul_podstrony'] ?>" /></p>
<p><input type="text" name="identyfikator_podstrony" value="<?php echo $b ?>" /> <input type="submit" value="Zapisz" /></p>

<input type="hidden" name="dane_podstrony" value="1" />
<input type="hidden" name="identyfikator_dotychczasowy" value="<?php echo $b ?>" />
<input type="hidden" name="typ_podstrony" value="<?php echo $podstrona['typ_podstrony'] ?>" />

</form>

<?php
  $z = '?a=' . $a . '&b=' . $b . '&kod=' . $kod . '&';
  $wyslany_formularz = false;
  $panel_administracyjny = true;
  if ( $typ['wlasne'] )
    include ( DANE . '/typy/' . $typ['nazwa'] . '_admin.php' );
  else
    include ( SYSTEM . '/typy/' . $typ['nazwa'] . '_admin.php' );

  if ( odczyt_konf('ustawienia','edytor') ) {
?>
<script type="text/javascript">
bkLib.onDomLoaded(function() {
	new nicEditor({
    buttonList : ['bold','italic','underline','ul','ol','subscript','superscript','indent','outdent','hr','link','unlink','image','fontFormat','removeformat','xhtml'],
    xhtml      : true,
    iconsPath  : '<?php echo SYSTEM ?>/pliki/nicedit_ikony.gif',
    maxHeight  : 500
	}).panelInstance('edytor');
});
</script>
<?php
  } 
}
?>

<?php
include('_stopka.php');